Subject: Re: 'git commit' duplicates parents?

From: Jeff Garzik <[email-masked]>
Date: Sun, 19 Jun 2005 22:40:05 -0400

Linus Torvalds wrote:
> Btw, if possibly, you should just undo it. It's "valid" in the sense that

Any crap like this, I undo it manually (cat previous head to .git/HEAD)

> Again, "git commit" _did_ warn about this, I'm sure, but I actually see 
> why that stupid MERGE_HEAD file was there - a null merge won't remove a 
> stale MERGE_HEAD, so it's probably because you did a "git pull" that was a 
> trivial merge, and that would have left that turd around..

Probably PEBCAK...  my missing the big "MERGE_HEAD exists" warning 
caused the problem, it sounds like.

I simply assumed that the vanilla git scripts would clean up after 
themselves :)

	Jeff